package de.wwwu.awolf.presenter.algorithms.advanced;

import de.wwwu.awolf.model.Line;
import org.junit.Before;

import java.util.LinkedList;
import java.util.List;

/**
 * Implementierung verschiedener Algorithmen zur Berechnung von Ausgleichsgeraden.
 *
 * @Author: Armin Wolf
 * @Email: a_wolf28@uni-muenster.de
 * @Date: 23.10.2017.
 */
public class TheilSenEstimatorTest {


    @Before
    public void setUp(){
        Double[] x = {18d, 24d, 30d, 34d, 38d};
        Double[] y = {18d, 26d, 30d, 40d, 70d};


        List<Line> lines = new LinkedList<>();

        for (int i = 0; i < 5; i++) {
            lines.add(new Line(x[i], y[i]));
        }
    }


}