package de.wwwu.awolf.model;

/**
 * Implementierung verschiedener Algorithmen zur Berechnung von Ausgleichsgeraden.
 *
 * @Author: Armin Wolf
 * @Email: a_wolf28@uni-muenster.de
 * @Date: 19.06.2017.
 */
public class Pair {

    private Integer p1;
    private Integer p2;

    /**
     * Konstruktor
     *
     * @param p1 erstes Element des Tupels
     * @param p2 zweites Element des Tupels
     */
    public Pair(Integer p1, Integer p2) {
        this.p1 = p1;
        this.p2 = p2;
    }

    /**
     * @return erstes Element des Tupels
     */
    public Integer getP1() {
        return p1;
    }

    /**
     * @param p1 erstes Element des Tupels
     */
    public void setP1(Integer p1) {
        this.p1 = p1;
    }

    /**
     * @return zweites Element des Tupels
     */
    public Integer getP2() {
        return p2;
    }

    /**
     * @param p2 zweites Element des Tupels
     */
    public void setP2(Integer p2) {
        this.p2 = p2;
    }

}
