package de.wwwu.awolf.presenter.util.Comparators;

import de.wwwu.awolf.model.Line;

import java.util.Comparator;

/**
 * Implementierung verschiedener Algorithmen zur Berechnung von Ausgleichsgeraden.
 *
 * @Author: Armin Wolf
 * @Email: a_wolf28@uni-muenster.de
 * @Date: 19.06.2017.
 */
public class YOrderLineComparatorBegin implements Comparator<Line> {

    @Override
    public int compare(Line o1, Line o2) {
        return o1.getY1().compareTo(o2.getY1());
    }
}